
#define dbf_write(h,b,c) dbf_writex(h,b,c,__FILE__,__LINE__) 
#define dbf_seek(h,of,or) dbf_seekx(h,of,or,__FILE__,__LINE__) 
#define dbf_close(h) dbf_closex(h,__LINE__) 
#define dbf_open(f,m,n,s) dbf_openx(f,m,n,s,__LINE__)

int dbf_read(int handle, void *buffer, unsigned int count);
int dbf_writex(int handle, const void *buffer, unsigned int count,char *fname, int line);
int dbf_seekx(int handle, long offset, int origin, char *fname, int line); /* true on success */
int dbf_openx(const char *fname, char *mde, int nbf, int szbf, int line);
int dbf_closex(int handle, int line);
int dbf_len(int handle);
int dbf_eof(int handle);
int dbf_tell(int handle);
int dbf_flush(int h);

int dbi_read(int handle, void *buffer, unsigned int count);
int dbi_write(int handle, const void *buffer, unsigned int count);
int dbi_seek(int handle, long offset, int origin);
int dbi_open(const char *fname, char *mde, int nbf, int szbf);
int dbi_close(int handle);
int dbi_len(int handle);
int dbi_eof(int handle);
int dbi_tell(int handle);
int dbi_flush(int h);
int dbi_doflush(int h);



int thout_n(void);
int thout_init(int h);
int thout_close(int h);
int thout_wait(int h);
int thout_write(int h, const char *bf, int len);
int thout_start(int h);
int thout_main(void *arg);
int thout_dowrite(int h);
